Căutare web găzduită
Utilizați instrumentul Responses API web_search în loc de un punct final autonom.
Căutare web găzduită
Model Gate nu publică un separat /v1/web-search solicita contract. Utilizare POST /v1/responses cu gazduit web_search instrument.
Cerere
curl https://api.model-gate.com/v1/responses \
-H "Authorization: Bearer mg_live_..." \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-5.4",
"input": [{"role": "user", "content": [{"type": "input_text", "text": "Find the latest official release notes."}]}],
"tools": [{"type": "web_search"}],
"tool_choice": "required",
"include": ["web_search_call.action.sources"],
"stream": false
}'
Răspuns
Obiectul Răspunsuri completat include rezultatul modelului și sursele de căutare web auditabile atunci când modelul din amonte acceptă căutarea găzduită.
{
"id": "resp_...",
"object": "response",
"status": "completed",
"output": [
{
"type": "web_search_call",
"action": {
"sources": [
{"type": "url", "url": "https://example.com/source"}
]
}
},
{
"type": "message",
"content": [
{"type": "output_text", "text": "..."}
]
}
]
}